Subject: Re: linux-next: manual merge of the drm-misc tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Nov 2023 08:37:18 +1100

Hi all,

On Wed, 18 Oct 2023 12:46:36 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Fri, 13 Oct 2023 11:46:02 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the drm-misc tree got a conflict in:
> > 
> >   arch/ia64/include/asm/fb.h
> > 
> > between commit:
> > 
> >   cf8e8658100d ("arch: Remove Itanium (IA-64) architecture")
> > 
> > from the asm-generic tree and commit:
> > 
> >   052ddf7b86d2 ("fbdev: Replace fb_pgprotect() with pgprot_framebuffer()")
> > 
> > from the drm-misc tree.
> > 
> > I fixed it up (I just removed the file) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.  
> 
> This is now a conflict between the asm-generic tree and the drm tree.

And now between the asm-generic tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell